## python-trame-server 3.6.1

=== docs/requirements.txt ===
pygments
sphinx
sphinx-rtd-theme

=== tests/requirements.txt ===
pytest
pytest-asyncio
trame
trame-client

=== debian/changelog ===
python-trame-server (3.6.1-2) unstable; urgency=medium

  * Add missing debian/copyright entry.

 -- Roland Mas <lolando@debian.org>  Tue, 18 Nov 2025 14:42:03 +0100

python-trame-server (3.6.1-1) unstable; urgency=medium

  * Initial packaging.
  * Disable testsuite initially.

 -- Roland Mas <lolando@debian.org>  Fri, 14 Nov 2025 18:05:31 +0100

=== debian/control ===
Source: python-trame-server
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-hatchling,
 python3-msgpack <!nocheck>,
 python3-pillow <!nocheck>,
 python3-pixelmatch <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-xprocess <!nocheck>,
 python3-setuptools,
 python3-trame <!nocheck>,
 python3-trame-client <!nocheck>,
 python3-wslink <!nocheck>,
Standards-Version: 3.9.6
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/kitware/trame-server
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trame-server.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trame-server

Package: python3-trame-server
Architecture: all
Depends:
 python3-wslink,
 ${misc:Depends},
 ${python3:Depends},
Description: Python desktop-like applications in a web browser - server
 Trame is an easy-to-use, Python-based framework that let you create
 desktop like application which shows up in your web browser. You can
 create buttons, dialogs, 3D scenes with VTK/ParaView, charts, maps
 and much more.
 .
 It is great for any micro apps, dashboards, or even replacing a PyQt
 app into a web app. You can also use it in development, for example
 when tweaking/configuring 3D rendering, machine learning and more.
 .
 At the end your app can be used locally, remotely, in the cloud, in
 Jupyter or on HPC.
 .
 This package is the server implementation of trame. It provides the
 server implementation of the shared state and controller along with
 the definition of the web server. The web server aims to be flexible
 so it can be used within a Jupyter environment or as a standalone
 desktop application.
 .
 This package is not supposed to be used by itself but rather should
 come as a dependency of trame.

=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,uversionmangle=s/rc/~rc/" \
https://github.com/kitware/trame-server refs/tags/v?(\d\S+)
